.\" $FreeBSD: src/libexec/atrun/atrun.man,v 1.12 2004/07/02 19:07:31 ru Exp $
.Dd April 12, 1995
.Dt ATRUN 8
.Os
.Sh NAME
.Nm atrun
.Nd run jobs queued for later execution
.Sh SYNOPSIS
.Nm atrun
.Op Fl l Ar load_avg
.Op Fl d
.Sh DESCRIPTION
.Nm Atrun
runs jobs queued by
.Xr at 1 .
.Pp
Root's
.Xr crontab 5
file
.Pa /etc/crontab
has to contain the line
.Bd -literal
*/5     *       *       *       *       root    /usr/libexec/atrun
.Ed
.Pp
so that
.Nm
gets invoked every five minutes.
.Pp
At every invocation,
.Nm
will start all the jobs in the lowercase queues whose start
time has elapsed.
In addition, if the load average over the last minute was less than
the specified limit then a maximum of one batch job (denoted by the
uppercase queues) is started.
.Sh OPTIONS
.Bl -tag -width indent
.It Fl l Ar load_avg
Specify a limiting load factor, over which batch jobs should
not be run, instead of the compiled in default of 1.5.
.It Fl d
Debug; print error messages to standard error instead of using
.Xr syslog 3 .
.El
.Sh WARNINGS
For
.Nm
to work, you have to start up a
.Xr cron 8
daemon.
.Sh FILES
.Bl -tag -width /var/at/spool -compact
.It Pa /var/at/spool
Directory containing output spool files
.It Pa /var/at/jobs
Directory containing job files
.El
.Sh SEE ALSO
.Xr at 1 ,
.Xr crontab 1 ,
.Xr syslog 3 ,
.Xr crontab 5 ,
.Xr cron 8
.Sh BUGS
The functionality of
.Nm
should be merged into
.Xr cron 8 .
